function [x]=explore(f,n,h,x0)
%EXPLORE Exploration step for function minimization.
%  [X] = EXPLORE(F, N, H, X0) executes one exploration step of size H in the Hooke
%  and Jeeves method for function minimization.
x = x0; f0 = eval(f);
for i=1:n
    x(i) = x(i) + h(i);  ff = eval(f);
    if ff < f0
        f0 = ff;   
    else
        x(i) = x0(i) - h(i);
        ff = eval(f);
        if ff < f0 
            f0 = ff;   
        else  
            x(i) = x0(i);   
        end
    end
end
return
