function [ak,bk,ck,nch,niter]=givsturm(dd,bb,ind,tol)
%GIVSTURM Given method with Sturm sequence
[a, b]=bound(dd,bb);
dist=abs(b-a); s=abs(b)+abs(a);
n=length(dd); niter=0; nch=[];
while dist>tol*s
    niter=niter+1; 
    c=(b+a)/2;
    ak(niter)=a; 
    bk(niter)=b; 
    ck(niter)=c;
    nch(niter)=chcksign(dd,bb,c);
    if nch(niter)>n-ind
        b=c;
    else
        a=c; 
    end
    dist=abs(b-a); s=abs(b)+abs(a);
end
return