function [T,Q,R]=basicqr(A,nmax)
%BASICQR Basic QR iteration
%  [T,Q,R]=BASICQR(A,NMAX) performs NMAX iterations of the basic
%  QR algorithm. 
T=A; 
for i=1:nmax
    [Q,R]=modgrams(T); 
    T=R*Q; 
end
return