function [psi]=psinorm(A)
%PSINORM Evaluation of Psi(A).
[n,m]=size(A);
if n~=m, error('Only square matrices'); end
psi=0;
for i=1:n-1
    j=[i+1:n];
    psi = psi + sum(A(i,j).^2+A(j,i).^2');
end
psi=sqrt(psi);
return